using UnityEngine;
using System.Collections;

public class FinishScript : MonoBehaviour {
	
	public LevelControler levelControler;
	
	// Use this for initialization
	void Start () {
		levelControler = FindObjectOfType<LevelControler> ();

	}	
	// Update is called once per frame
	void Update () {

	}

	void OnTriggerEnter2D(Collider2D other)
	{
		Instantiate (levelControler.finishParticle, gameObject.transform.position, gameObject.transform.rotation);	// Skopiowanie prefabrykatu na scenę w miejsce gdzie jest gracz
		gameObject.GetComponent<CircleCollider2D>().enabled = false;												// wyłączenie collider'a, żeby nie rozpoznawał ponownie kolizji
		levelControler.FinishedLevel();
	}
}
